import request from '@/utils/request'

// 查询运行时长分值配置列表
export function listScoreRuntime(query) {
  return request({
    url: '/gxt/scoreruntime/list',
    method: 'get',
    params: query
  })
}

// 查询运行时长分值配置详细
export function getScoreRuntime(id) {
  return request({
    url: '/gxt/scoreruntime/' + id,
    method: 'get'
  })
}

// 新增运行时长分值配置
export function addScoreRuntime(data) {
  return request({
    url: '/gxt/scoreruntime',
    method: 'post',
    data: data
  })
}

// 修改运行时长分值配置
export function updateScoreRuntime(data) {
  return request({
    url: '/gxt/scoreruntime',
    method: 'put',
    data: data
  })
}

// 删除运行时长分值配置
export function delScoreRuntime(id) {
  return request({
    url: '/gxt/scoreruntime/' + id,
    method: 'delete'
  })
}

// 导出运行时长分值配置
export function exportScoreRuntime(query) {
  return request({
    url: '/gxt/scoreruntime/export',
    method: 'post',
    data: query,
    responseType: 'blob'
  })
}

// 获取导出字段
export function getExportFields() {
  return request({
    url: '/gxt/scoreruntime/exportFields',
    method: 'get'
  })
}